﻿@model JavnaNabava.ViewModels.PonudaStavkeTroskovnikViewModel;

@{
    ViewData["Title"] = "Popis stavki ponuda troškovnika";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<h1>Popis ponuda stavki troškovnika</h1>
<p>
    <small>
        Stranica za prikaz ponuda stavki troškovnika. Napravljeno je straničenje i sortiranje. Za svaku stavku je omogućeno uređivanje i brisanje. Prilikom brisanja se pita korisnik je li siguran da želi obrisati zapis.
    </small>
</p>

<a asp-action="Create">Unos nove stavke ponude</a>

<pager page-info="@Model.PagingInfo" page-title="Unesite željenu stranicu"
       page-action="Index" class="float-right">
</pager>

<table class="table table-sm table-striped table-hover" id="table_sif">
    <thead>
        <tr>
            @{
                string[] nazivi = { "Jedinična Cijena", "Uk Cijena Bez PDV", "PDV", "Uk Cijena Sa PDV", "Naslov Ponude", "Opis Stavke" };
                for (int i = 1; i <= nazivi.Length; i++)
                {
                    <th>
                        <a asp-route-sort="@i"
                           asp-route-page="@Model.PagingInfo.CurrentPage"
                           asp-route-ascending="@(Model.PagingInfo.Sort == @i ? !Model.PagingInfo.Ascending : true)">
                            @nazivi[i - 1]
                        </a>
                    </th>
                }
            }
            <th></th>
        </tr>
    </thead>

    <tbody>
        @foreach (var stavka in Model.ponuda)
        {
            <partial name="Row" model="stavka" />
        }
    </tbody>
</table>

@section scripts{
    <script>
        $(function() {
            SetDeleteAjax(".deleteajax", '@Url.Action("Delete")', 'idstavke');
            SetEditAjax(".editajax", '@Url.Action("Edit")', 'idstavke');
        });
    </script>
}